unit libFCommonEditHost;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ActnList, StdCtrls, ExtCtrls, 
  ibeFCommonEditHost, System.Actions;

type
  TlibFrmCommonEditHost = class(TibeFrmCommonEditHost)
    pnlMain: TPanel;
    pnlTop: TPanel;
    pnlBottom: TPanel;
    pnlBottomButtons: TPanel;
    cmdOK: TButton;
    cmdCancel: TButton;
  private
  protected
    function RetrieveFormClientWidth(): Integer; override;
    function RetrieveFormClientHeight(): Integer; override;
    function RetrieveEditFormContainer(): TWinControl; override;
  public
  end;

TlibFrmCommonEditHostClass = class of TlibFrmCommonEditHost;

implementation

{$R *.dfm}

function TlibFrmCommonEditHost.RetrieveFormClientWidth(): Integer;
begin
  Result := FrmEdit.ClientWidth;
end;

function TlibFrmCommonEditHost.RetrieveFormClientHeight(): Integer;
begin
  Result := FrmEdit.ClientHeight + (Ord(pnlTop.Visible) * pnlTop.Height) + pnlBottom.Height;
end;

function TlibFrmCommonEditHost.RetrieveEditFormContainer(): TWinControl;
begin
  Result := pnlMain;
end;

end.

