program ibeDODDevToolbox;

uses
  FastMM4 in '$Common\$Lib3rdParty\FastMM\FastMM4.pas',
  FastMM4Messages in '$Common\$Lib3rdParty\FastMM\FastMM4Messages.pas',
  Vcl.Forms,
  ibeDALConnectionADO_MSSQL in '$Common\$Lib\DAL\ibeDALConnectionADO_MSSQL.pas',
  ibeDALConnectionFB_IB in '$Common\$Lib\DAL\ibeDALConnectionFB_IB.pas',
  ibeFCommon in '$Common\$Lib\Form\ibeFCommon.pas' {frmCommon},
  ibeFCommonList in '$Common\$Lib\Form\ibeFCommonList.pas' {ibeFrmCommonList},
  ibeFCommonDialog in '$Common\$Lib\Form\ibeFCommonDialog.pas' {frmCommonDialog},
  ibeFCommonDataList in '$Common\$Lib\Form\ibeFCommonDataList.pas' {ibeFrmCommonDataList},
  ibeFCommonEditHost in '$Common\$Lib\Form\ibeFCommonEditHost.pas' {ibeFrmCommonEditHost},
  ibeFCommonEdit in '$Common\$Lib\Form\ibeFCommonEdit.pas' {ibeFrmCommonEdit},
  libFCommonList in '$Common\$LibLocal\libFCommonList.pas' {libFrmCommonList},
  libFCommonEditHost in '$Common\$LibLocal\libFCommonEditHost.pas' {libFrmCommonEditHost},
  modMainCommon in '$Common\$LibLocal\modMainCommon.pas' {dmMainCommon: TDataModule},
  modMain in '$Main\Projekte\modMain.pas' {dmMain: TDataModule},
  FDODDevToolboxMain in '$Main\DODDevToolbox\FDODDevToolboxMain.pas' {frmDODDevToolboxMain},
  FDODDevToolbox in '$Common\DODDevToolbox\FDODDevToolbox.pas' {frmDODDevToolbox},
  FDTBDODNavgator in '$Common\DODDevToolbox\FDTBDODNavgator.pas' {frmDTBDODNavgator},
  FDTBDODViewFieldList in '$Common\DODDevToolbox\FDTBDODViewFieldList.pas' {frmDTBDODViewFieldList},
  FDTBGenerateCodeAssignFieldsValues in '$Common\DODDevToolbox\FDTBGenerateCodeAssignFieldsValues.pas' {frmDTBGenerateCodeAssignFieldsValues};

{$R *.res}

begin
  Application.Initialize;
  Application.MainFormOnTaskbar := True;
  Application.Title := 'Datenobjekt Definition Entwickler-Werkzeuge';
  Application.CreateForm(TdmMain, dmMain);
  if dmMain.ActionStartup() then
  begin
    Application.CreateForm(TfrmDODDevToolboxMain, frmDODDevToolboxMain);
    Application.Run;
  end;
end.

