unit DODEditGenericDataObject;

interface

uses
  System.Classes,
  ibeDataObject;

type

TDODEditGenericDataObject = class(TibeCustomDataObject)
private
  function GetSQLText(): string;
protected
public
  procedure LoadFromStream(AStream: TStream);
  procedure SelectActiveView(const AViewName: string);
  property SQLText: string read GetSQLText;
end;

implementation

procedure TDODEditGenericDataObject.LoadFromStream(AStream: TStream);
begin
  DODef.InitDefinition(ClassName, AStream);

  InitQuery(Query);
end;

procedure TDODEditGenericDataObject.SelectActiveView(const AViewName: string);
begin
  DODef.SelectActiveView(AViewName);

  InitQuery(Query);
end;

function TDODEditGenericDataObject.GetSQLText(): string;
begin
  Result := DODef.SQLSelect;
end;

end.

