unit FDODLibCommonEdit;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, System.Actions, Vcl.ActnList,
  ibeFCommonEdit,
  ibeAppServiceProviderDB,
  DODLibEditClasses, Vcl.ExtCtrls;

type
  TfrmDODLibCommonEdit = class(TibeFrmCommonEdit)
  private
    FDODMain: TDODLibDataObjectDefinition;
    FDODObservers: TDODObserverList;
    function GetASP(): TibeAppServiceProviderDB;
  protected
    procedure SetDODObservers(AObserverList: TDODObserverList); virtual;
  public
    property DODMain: TDODLibDataObjectDefinition read FDODMain write FDODMain;
    property DODObservers: TDODObserverList read FDODObservers write SetDODObservers;
    property ASP: TibeAppServiceProviderDB read GetASP;
  end;

implementation

{$R *.dfm}

procedure TfrmDODLibCommonEdit.SetDODObservers(AObserverList: TDODObserverList);
begin
  FDODObservers := AObserverList;
end;

function TfrmDODLibCommonEdit.GetASP(): TibeAppServiceProviderDB;
begin
  Result := TibeAppServiceProviderDB(inherited ASP);
end;

end.

