program ibeDODEdit;

uses
  FastMM4 in '$Common\$Lib3rdParty\FastMM\FastMM4.pas',
  FastMM4Messages in '$Common\$Lib3rdParty\FastMM\FastMM4Messages.pas',
  Vcl.Forms,
  ibeDALConnectionADO_MSSQL in '$Common\$Lib\DAL\ibeDALConnectionADO_MSSQL.pas',
  ibeDALConnectionFB_IB in '$Common\$Lib\DAL\ibeDALConnectionFB_IB.pas',
  ibeFCommon in '$Common\$Lib\Form\ibeFCommon.pas' {frmCommon},
  ibeFCommonList in '$Common\$Lib\Form\ibeFCommonList.pas' {ibeFrmCommonList},
  ibeFCommonDialog in '$Common\$Lib\Form\ibeFCommonDialog.pas' {frmCommonDialog},
  ibeFCommonDataList in '$Common\$Lib\Form\ibeFCommonDataList.pas' {ibeFrmCommonDataList},
  ibeFCommonEditHost in '$Common\$Lib\Form\ibeFCommonEditHost.pas' {ibeFrmCommonEditHost},
  ibeFCommonEdit in '$Common\$Lib\Form\ibeFCommonEdit.pas' {ibeFrmCommonEdit},
  libFCommonList in '$Common\$LibLocal\libFCommonList.pas' {frmCommonList},
  libFCommonEditHost in '$Common\$LibLocal\libFCommonEditHost.pas' {libFrmCommonEditHost},
  modMainCommon in '$Common\$LibLocal\modMainCommon.pas' {dmMainCommon: TDataModule},
  modMain in '$Main\Projekte\modMain.pas' {dmMain: TDataModule},
  FdodEditMain in '$Main\DODEdit\FdodEditMain.pas' {frmDODEditMain},
  FDODEditor in '$Common\DODEdit\FDODEditor.pas' {frmDODEditor},
  FDODTableFieldList in '$Common\DODEdit\FDODTableFieldList.pas' {frmDODTableFieldList},
  FDODViewFieldList in '$Common\DODEdit\FDODViewFieldList.pas' {frmDODViewFieldList},
  FDODLibCommonList in '$Common\DODEdit\FDODLibCommonList.pas' {frmDODLibCommonList},
  FDODPersistanceEdit in '$Common\DODEdit\FDODPersistanceEdit.pas' {frmDODPersistanceEdit},
  FDODTableList in '$Common\DODEdit\FDODTableList.pas' {frmDODTableList},
  FDODTableEdit in '$Common\DODEdit\FDODTableEdit.pas' {frmDODTableEdit},
  DODLibEditClasses in '$Common\DODEdit\DODLibEditClasses.pas',
  FDODLibCommonEdit in '$Common\DODEdit\FDODLibCommonEdit.pas' {frmDODLibCommonEdit},
  FDODTableFieldEdit in '$Common\DODEdit\FDODTableFieldEdit.pas' {frmDODTableFieldEdit},
  FDODTableNativeFieldList in '$Common\DODEdit\FDODTableNativeFieldList.pas' {frmDODTableNativeFieldList},
  FDODViewOrderByList in '$Common\DODEdit\FDODViewOrderByList.pas' {frmDODViewOrderByList},
  FDODViewGroupByList in '$Common\DODEdit\FDODViewGroupByList.pas' {frmDODViewGroupByList},
  FDODViewEdit in '$Common\DODEdit\FDODViewEdit.pas' {frmDODViewEdit},
  FDODViewEditTableFieldList in '$Common\DODEdit\FDODViewEditTableFieldList.pas' {frmDODViewEditTableFieldList},
  FDODViewFieldEdit in '$Common\DODEdit\FDODViewFieldEdit.pas' {frmDODViewFieldEdit},
  FDODViewOrderByEdit in '$Common\DODEdit\FDODViewOrderByEdit.pas' {frmDODViewOrderByEdit},
  FDODViewGroupByEdit in '$Common\DODEdit\FDODViewGroupByEdit.pas' {frmDODViewGroupByEdit},
  FDODDataEdit in '$Common\DODEdit\FDODDataEdit.pas' {frmDODDataEdit},
  ibeFCommonContainer in '$Common\$Lib\Form\ibeFCommonContainer.pas' {frmCommonContainer},
  FDODViewTestContainer in '$Common\DODEdit\FDODViewTestContainer.pas' {frmDODViewTestContainer},
  FDODViewTestList in '$Common\DODEdit\FDODViewTestList.pas' {frmDODViewTestList},
  FDODViewTestSQL in '$Common\DODEdit\FDODViewTestSQL.pas' {frmDODViewTestSQL},
  DODEditGenericDataObject in '$Common\DODEdit\DODEditGenericDataObject.pas',
  sysDOUnit in '$Common\System\sysDOUnit.pas',
  libControlUtil in '$Common\$LibLocal\libControlUtil.pas';

{$R *.res}

begin
  Application.Initialize;
  Application.MainFormOnTaskbar := True;
  Application.Title := 'Datenobjekt Definition Editor';
  Application.CreateForm(TdmMain, dmMain);
  if dmMain.ActionStartup() then
  begin
    Application.CreateForm(TfrmDODEditMain, frmDODEditMain);
    Application.Run;
  end;
end.

